Skip to content

Project Management

All operations require authentication.

2 operationsv2/publicCloud/project
Agent setup

List projectsProduction

GET
/v2/publicCloud/project

Returns the projects of the account with their current state.

Query parameters

iamTags
object

Filter resources on IAM tags

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200ProjectAsyncWithIAM[]successful operation
createdAt
read-only
stringdate-time

Date of project creation

currentState
read-only
ProjectCurrentState

Current configuration applied to the cloud project

currentTasks
read-only
CurrentTask[]

Asynchronous operations ongoing on the cloud project

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of the project

name
read-only
string

Project name

resourceStatus
read-only
ResourceStatusEnum

Reflects the readiness of the cloud project. A new target specification request will be accepted only in READY status.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
ProjectTargetSpec

Last target specification of the cloud project

updatedAt
read-only
stringdate-time

Date of the last cloud project update

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "mode": "CLASSIC", "name": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "name": "string", "resourceStatus": "CREATING", "targetSpec": { "mode": "CLASSIC", "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]

Get a projectProduction

GET
/v2/publicCloud/project/{projectId}

Returns the project, its current state and its ongoing tasks.

Path parameters

projectId
required
string

Project ID

Response

200ProjectAsyncWithIAMsuccessful operation
createdAt
read-only
stringdate-time

Date of project creation

currentState
read-only
ProjectCurrentState

Current configuration applied to the cloud project

currentTasks
read-only
CurrentTask[]

Asynchronous operations ongoing on the cloud project

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of the project

name
read-only
string

Project name

resourceStatus
read-only
ResourceStatusEnum

Reflects the readiness of the cloud project. A new target specification request will be accepted only in READY status.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
ProjectTargetSpec

Last target specification of the cloud project

updatedAt
read-only
stringdate-time

Date of the last cloud project update

Example uses projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "mode": "CLASSIC", "name": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "name": "string", "resourceStatus": "CREATING", "targetSpec": { "mode": "CLASSIC", "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}